/// <reference types="node" />
import { URL } from "url";
import { Caller, RequestedCall } from "./Caller";
export declare class AudioPlaybackCaller implements Caller<Buffer> {
    private static msBetweenSendingBuffer;
    private static bufferSize;
    private streamCounter;
    call(mulawAudio: Buffer, streamUrl: URL | string): Promise<RequestedCall>;
    private static createTwilioMediaStreamStartEvent;
    private static createMediaEvent;
    private static createCallEndedEvent;
}
