/// <reference types="node" />
import { DtmfBufferGenerator } from "./DtmfBufferGenerator";
export declare class UlawDtmfBufferGenerator implements DtmfBufferGenerator {
    private static readonly VALID_DTMF_DIGITS;
    private static readonly DIGIT_SEPARATOR;
    private static readonly DEFAULT_RAW_BASE_PATH;
    private readonly paths;
    private readonly rawCache;
    constructor(rawFilesBasePath?: string);
    private initiatePathsToRawFiles;
    generate(digits: string): Buffer;
    private getRawBuffer;
    private static validateDigits;
}
