import { IvrTesterPlugin } from "../plugins/IvrTesterPlugin";
import { Emitter } from "../Emitter";
import { PluginEvents } from "../plugins/PluginManager";
/** Closes the server when all the tests complete */
export declare class CloseServerWhenTestsComplete implements IvrTesterPlugin {
    private server;
    private totalTests;
    private testsCompleted;
    initialise(eventEmitter: Emitter<PluginEvents>): void;
    private callHandlingServerStarted;
    private testStarted;
    private testCompleted;
}
