import { IvrTest } from "./test/IvrTest";
export interface AssignedResult {
    isAssigned: boolean;
}
export interface TestAssigned extends AssignedResult {
    isAssigned: true;
    test: IvrTest;
}
export interface NoneAssigned extends AssignedResult {
    isAssigned: false;
    reason: string;
}
export interface TestAssigner {
    assign(): TestAssigned | NoneAssigned;
}
export declare class IteratingTestAssigner implements TestAssigner {
    readonly tests: IvrTest[];
    private readonly testIterator;
    constructor(tests: IvrTest[]);
    assign(): TestAssigned | NoneAssigned;
}
