"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.press = void 0;
/**
 * Sends DTMF tones to the call
 * @param dtmfSequence - Supported digits are 0123456789*# and w. w represents a pause of 0.5s.
 */
const press = (dtmfSequence) => ({
    do: (call) => call.sendDtmfTone(dtmfSequence),
    describe: () => `press key(s) ${dtmfSequence}`,
});
exports.press = press;
