"use strict";
var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
Object.defineProperty(exports, "__esModule", { value: true });
exports.Debugger = void 0;
const debug_1 = __importDefault(require("debug"));
class Debugger {
    static getDebugger(feature) {
        return debug_1.default(`${Debugger.packageName}:${feature}`);
    }
    static getPackageDebugger() {
        return debug_1.default(Debugger.packageName);
    }
    static getTwilioDebugger() {
        return Debugger.getDebugger("twilio");
    }
}
exports.Debugger = Debugger;
Debugger.packageName = "ivr-tester";
