/// <reference types="node" />
import { Config } from "./configuration/Config";
import { IvrTest } from "./testing/test/IvrTest";
export interface TestSubject {
    from: string;
    to: string;
}
/**
 * @param config - Configuration used for setting up the tests
 */
export declare const testRunner: (config: Config) => (call: TestSubject | Buffer, ivrTest: IvrTest[] | IvrTest) => Promise<void>;
