import { TranscriberFactory } from "../call/transcription/plugin/TranscriberFactory";
import { Call } from "../call/Call";
import { IvrTest } from "./test/IvrTest";
import { TestInstance } from "./test/TestInstanceClass";
export interface TestExecutor {
    startTest(test: IvrTest, call: Call): TestInstance;
}
export declare class DefaultTestExecutor implements TestExecutor {
    private readonly transcriberFactory;
    private readonly completeTranscriptionTimeoutInMs;
    constructor(transcriberFactory: TranscriberFactory, completeTranscriptionTimeoutInMs: number);
    startTest(test: IvrTest, call: Call): TestInstance;
}
