import { When } from "./When";
/**
 * Splits the transcript into parts which are then passed to the argument When.
 *
 * The transcript "press key 1" is split into the following parts, each of which are
 * passed to the argument.
 *   * press
 *   * press key
 *   * press key 1
 *   * key
 *   * key 1
 *   * 1
 *
 * @param when - Called with each of part of the transcript
 */
export declare const hasPart: (when: When) => When;
